import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from "@angular/router";
import { Router } from '@angular/router';

@Component({
  selector: 'ydlife-e-notice',
  templateUrl: './e-notice.component.html',
  styleUrls: ['./e-notice.component.scss']
})
export class ENoticeComponent implements OnInit {
  pageType:any
  constructor(private activatedRoute: ActivatedRoute,private router:Router) {
    
   }

  ngOnInit() {
    this.pageType = this.activatedRoute.url['value'][0]['path'];
    console.log(this.pageType)
  }

  agree(){
    this.router.navigate(['/eNoticeSignature'],{ queryParams: { type:'continuationRate'} })
  }
}
